#
# spec file for package perl-Crypt-Twofish
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Crypt-Twofish
Version:        2.18
Release:        pm153.1.6
%define cpan_name Crypt-Twofish
Summary:        The Twofish Encryption Algorithm
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AM/AMS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Twofish is a 128-bit symmetric block cipher with a variable length (128,
192, or 256-bit) key, developed by Counterpane Labs. It is unpatented and
free for all uses, as described at
<URL:http://www.counterpane.com/twofish.html>.

This module implements Twofish encryption. It supports the Crypt::CBC
interface, with the functions described below. It also provides an
interface that is call-compatible with Crypt::Twofish 1.0, but its use in
new code is strongly discouraged.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Nov 26 2020 Tina Müller <tina.mueller@suse.com>
- Remove Crypt-Twofish.include.patch (not needed anymore)
* Thu Nov 26 2020 Tina Müller <timueller+perl@suse.de>
- updated to 2.18
  see /usr/share/doc/packages/perl-Crypt-Twofish/Changes
  2.18    2020-11-25      Abhijit Menon-Sen <ams@toroid.org>
  * Fix Makefile.PL to use -I. when executing tab/tables.pl, so that
    it can find tab/misc.h (suggested by Tim V)
* Mon Oct  9 2017 olaf@aepfle.de
- Fix build with perl 5.26 with Crypt-Twofish.include.patch
* Fri Apr 17 2015 coolo@suse.com
- updated to 2.17
  see /usr/share/doc/packages/perl-Crypt-Twofish/Changes
  2.16    2013-04-10      Abhijit Menon-Sen <ams@toroid.org>
  * Another attempt to silence cpantesters. No functional changes.
  2.15    2012-09-07      Abhijit Menon-Sen <ams@toroid.org>
  * Include 'strict' in PREREQ_PM to silence cpantesters. No
    functional changes.
* Wed Jun  8 2011 jw@novell.com
- SR#72907 please CHECK the license.
  License checked, it is correct.
* Tue Jun  7 2011 jw@novell.com
- needed by perl-Crypt-OpenPGP
- initial pull from CPAN with cpanspec_obs-0.8
* Tue Jun  7 2011 jw@novell.com
- initial package 2.14
  * created by cpanspec 1.78.04
